Weather - Get Hourly Forecast
Use to get a detailed hourly weather forecast for up to 24 hours or a daily
forecast for up to 10 days.
The Get Hourly Forecast API is an HTTP GET that Request detailed weather
forecast by the hour for the next 1, 12, 24 (1 day), 72 (3 days), 120 (5 days),
and 240 hours (10 days) for the given the given coordinate location. The API
returns details such as temperature, humidity, wind, precipitation, and
ultraviolet (UV) index. For more information, see Request hourly weather
forecast
data.
GET {endpoint}/weather/forecast/hourly/json?api-version=1.1&query={query}
GET {endpoint}/weather/forecast/hourly/json?api-version=1.1&query={query}&unit={unit}&duration={duration}&language={language}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
The Azure Maps service hostname. Use |
|
format
|
path | True |
Desired format of the response. Only |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
query
|
query | True |
number[] |
The applicable query specified as a comma separated string composed by latitude followed by longitude e.g. "47.641268,-122.125679". Weather information is generally available for locations on land, bodies of water surrounded by land, and areas of the ocean that are within approximately 50 nautical miles of a coastline. |
|
duration
|
query |
integer (int32) |
Time frame of the returned weather forecast. By default, the forecast data for next hour will be returned. Available values are
|
|
|
language
|
query |
string |
Language in which search results should be returned. Should be one of supported IETF language tags, case insensitive. When data in specified language is not available for a specific field, default language is used. Please refer to Supported Languages for details. |
|
|
unit
|
query |
Specifies to return the data in either metric units or imperial units. Default value is metric. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
string |
Indicates the account intended for use with the Microsoft Entra ID security model. This unique ID for the Azure Maps account can be obtained from the Azure Maps management plane Account API. For more information on using Microsoft Entra ID security in Azure Maps, see Manage authentication in Azure Maps. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
AadToken
These are the Microsoft Entra OAuth 2.0 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.
To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.
Note
- This security definition requires the use of the
x-ms-client-idheader to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API. - The
Authorization URLis specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Microsoft Entra ID configurations. - The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
- Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
- For more information on Microsoft identity platform, see Microsoft identity platform overview.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default |
subscription-key
This is a shared key that is provisioned when you Create an Azure Maps account in the Azure portal or using PowerShell, CLI, Azure SDKs, or REST API.
With this key, any application can access all REST API. In other words, this key can be used as a master key in the account that they are issued in.
For publicly exposed applications, our recommendation is to use the confidential client applications approach to access Azure Maps REST APIs so your key can be securely stored.
Type:
apiKey
In:
header
SAS Token
This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.
For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.
Type:
apiKey
In:
header
Examples
Successfully retrieve detailed weather forecast by the hour
Sample request
GET https://atlas.microsoft.com/weather/forecast/hourly/json?api-version=1.1&query=47.632346,-122.138874&duration=12
Sample response
{
"forecasts": [
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 3901
},
"cloudCover": 100,
"date": "2019-11-14T16:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 8.4
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": true,
"precipitationProbability": 39,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 39,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 14.1
},
"relativeHumidity": 72,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 13.4
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 10.9
},
"wind": {
"direction": {
"degrees": 311,
"localizedDescription": "NW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 3.7
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 5.6
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4054
},
"cloudCover": 94,
"date": "2019-11-14T17:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7.8
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 34,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 34,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 12.8
},
"relativeHumidity": 73,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 12.5
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 10.2
},
"wind": {
"direction": {
"degrees": 281,
"localizedDescription": "W"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 5.6
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 7.4
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4176
},
"cloudCover": 94,
"date": "2019-11-14T18:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7.4
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 29,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 29,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 11.3
},
"relativeHumidity": 77,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 11.3
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 9.5
},
"wind": {
"direction": {
"degrees": 206,
"localizedDescription": "SSW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 7.4
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4542
},
"cloudCover": 93,
"date": "2019-11-14T19:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 9.8
},
"relativeHumidity": 79,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 10.4
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.8
},
"wind": {
"direction": {
"degrees": 169,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 7.4
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 11.1
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4389
},
"cloudCover": 92,
"date": "2019-11-14T20:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.9
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 9.2
},
"relativeHumidity": 80,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 10.1
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.6
},
"wind": {
"direction": {
"degrees": 170,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 11.1
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4481
},
"cloudCover": 91,
"date": "2019-11-14T21:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7.1
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 9
},
"relativeHumidity": 82,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 10.1
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.8
},
"wind": {
"direction": {
"degrees": 170,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 4481
},
"cloudCover": 92,
"date": "2019-11-14T22:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7.2
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"relativeHumidity": 84,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 9.8
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.6
},
"wind": {
"direction": {
"degrees": 174,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 3688
},
"cloudCover": 94,
"date": "2019-11-14T23:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"relativeHumidity": 82,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 9.8
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"wind": {
"direction": {
"degrees": 175,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 2926
},
"cloudCover": 97,
"date": "2019-11-15T00:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.9
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 20,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 20,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.8
},
"relativeHumidity": 81,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 10.1
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.6
},
"wind": {
"direction": {
"degrees": 176,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 2164
},
"cloudCover": 99,
"date": "2019-11-15T01:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.8
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 21,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 21,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"relativeHumidity": 81,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 9.9
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"wind": {
"direction": {
"degrees": 177,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 1737
},
"cloudCover": 100,
"date": "2019-11-15T02:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.8
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 21,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 21,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.5
},
"relativeHumidity": 82,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 9.8
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.4
},
"wind": {
"direction": {
"degrees": 172,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"ceiling": {
"unit": "m",
"unitType": 5,
"value": 1311
},
"cloudCover": 100,
"date": "2019-11-15T03:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.9
},
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iceProbability": 0,
"iconCode": 7,
"iconPhrase": "Cloudy",
"isDaylight": false,
"precipitationProbability": 26,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"rainProbability": 26,
"realFeelTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.6
},
"relativeHumidity": 83,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"snowProbability": 0,
"temperature": {
"unit": "C",
"unitType": 17,
"value": 9.7
},
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"uvIndex": 0,
"uvIndexPhrase": "Low",
"visibility": {
"unit": "km",
"unitType": 6,
"value": 16.1
},
"wetBulbTemperature": {
"unit": "C",
"unitType": 17,
"value": 8.4
},
"wind": {
"direction": {
"degrees": 161,
"localizedDescription": "SSE"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Hourly |
The |
|
Hourly |
The response returned by the Get Hourly Forecast operation, containing
hour-by-hour weather forecasts for a specified location. The number of
|
|
Icon |
The numeric weather-condition code that identifies which icon to display.
Each value in this enumeration corresponds to an Azure Maps weather icon
(such as Sunny, Cloudy, or Thunderstorms) and pairs with a human-readable
For the complete list of codes, the icons they map to, and example imagery, see Weather services in Azure Maps. |
|
Json |
Desired format of the response. Only |
|
Unit |
An integer value associated with the type of unit being displayed. For example, 17 for Celsius, 18 for Fahrenheit. Can be used for unit translation. For more information, see Weather services in Azure Maps. |
|
Weather |
Specifies whether to return data in metric or imperial units, with metric as the default. For example:
|
|
Weather |
Values for weather-related metrics such as temperature, dew point, and wind speed, presented in either metric or imperial units, as specified in the unit URI parameter. For more information, see Unit types in the article Weather services in Azure Maps. |
|
Wind |
Provides the forecasted wind speed, measured in units such as kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. Also indicates the wind direction measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0°, east to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°. |
|
Wind |
Provides details about wind direction, including the direction in azimuth degrees and a localized abbreviation of the wind direction. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
maps.weather.gethourlyforecast |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
HourlyForecast
The HourlyForecast object provides hourly weather details, including date and
time, expected and perceived temperatures, and dew point. It covers wind
speed and direction, wind gusts, relative humidity, visibility, and
precipitation probability. It indicates if precipitation is expected and
specifies its type. Additional properties include UV index, cloud cover
percentage, and cloud ceiling height. It also features an icon code and
phrase describing the weather condition.
| Name | Type | Description |
|---|---|---|
| ceiling |
The height of the lowest layer of clouds above the ground, measured in feet or meters based on the unit specified in the request. This measurement is crucial for aviation and weather forecasting. |
|
| cloudCover |
integer (int32) |
The percentage of the sky covered by clouds at the specified hour. This value ranges from 0% (clear skies) to 100% (completely overcast). May be NULL. |
| date |
string (date-time) |
Date and time of the forecast in RFC 3339 format (yyyy-mm-ddThh:mm:ss±hh:mm). For example, 2019-11-14T16:00:00-08:00. |
| dewPoint |
The temperature at which air becomes saturated with moisture and dew begins to form. It is measured in degrees Fahrenheit (°F) or Celsius (°C), depending on the unit specified. This value is crucial for understanding humidity levels, as a higher dew point indicates more moisture in the air, making it feel more humid. |
|
| hasPrecipitation |
boolean |
A boolean value that indicates whether precipitation (rain, snow, sleet, or hail) is expected during the specified timeframe. Returns true if precipitation is expected, otherwise false. |
| ice |
Returns estimated ice accumulation for each hour in the forecast, measured in millimeters (mm) or inches (in), depending on the unit specified in the request. |
|
| iceProbability |
integer (int32) |
Shows the probability of ice formation during the specified hour, expressed as a percentage from 0 to 100. A value of 0 means no chance of ice formation, while 100 means ice formation is certain. This information helps users evaluate the potential for icy conditions. |
| iconCode |
A numeric value that corresponds to an image displaying the |
|
| iconPhrase |
string |
A descriptive term that corresponds to a specific weather condition, such
as Sunny. It is paired with an |
| isDaylight |
boolean |
A boolean value that indicates whether it is daylight during the specified hour. Returns true if it is daylight, otherwise false. |
| precipitationProbability |
integer (int32) |
Shows the probability of precipitation during the specified hour, expressed as a percentage from 0 to 100. A value of 0 means no chance of precipitation, while 100 means precipitation is certain. This helps users assess the likelihood of rain, snow, or other forms of precipitation. |
| rain |
Returns the amount of rainfall expected during each hour in the forecast, measured in millimeters (mm) or inches (in), depending on the unit specified in the request. |
|
| rainProbability |
integer (int32) |
Shows the probability of rain during the specified timeframe, expressed as a percentage from 0 to 100. A value of 0 means no chance of rain, while 100 means rain is certain. |
| realFeelTemperature |
Provides RealFeel™ Temperature values for the specified hour, measured in degrees Celsius (°C) or Fahrenheit (°F), depending on the unit specified in the request. This metric, developed by AccuWeather, incorporates over a dozen factors, including humidity, wind speed, cloud cover, and sun intensity, to offer a comprehensive measure of how the weather actually feels. For more information, see What is the AccuWeather RealFeel Temperature? |
|
| relativeHumidity |
integer (int32) |
The amount of water vapor present in the air, expressed as a percentage of the maximum amount the air can hold at the same temperature. This value indicates how close the air is to being saturated with moisture, affecting how comfortable or humid the environment feels. |
| snow |
Returns the amount of snow accumulation expected during the specified hour, measured in millimeters (mm) or inches (in), depending on the unit specified in the request. |
|
| snowProbability |
integer (int32) |
Shows the probability of snow during the specified hour, expressed as a percentage from 0 to 100. A value of 0 means no chance of snow, while 100 means snow is certain. |
| temperature |
The expected temperature for the specified hour, measured in degrees Celsius (°C) or Fahrenheit (°F), depending on the unit specified in the request. |
|
| totalLiquid |
Returns the total amount of liquid precipitation (such as rain) expected during each hour of the forecast period, measured in millimeters (mm) or inches (in), depending on the unit specified in the request. |
|
| uvIndex |
integer (int32) |
Provides the ultraviolet (UV) index for each hour of the forecast period. This index indicates the level of ultraviolet radiation expected, helping users understand the potential risk of sun exposure during different times of the day. Supported values are:
|
| uvIndexPhrase |
string |
Provides a descriptive phrase that indicates the level of UV radiation, such as Low, Moderate, High, or Very High. |
| visibility |
Returns the distance at which an object or light can be clearly discerned for each hour of the forecast period, measured in kilometers (km) or miles (mi), depending on the unit specified in the request. This indicates how far one can clearly see, which is crucial for activities like driving and aviation. |
|
| wetBulbTemperature |
Returns the temperature a parcel of air would have if it were cooled to saturation (100% relative humidity) by the evaporation of water into it. This property is important for understanding heat stress and the cooling effect of evaporation. |
|
| wind |
Provides the expected wind speed and direction. Wind speed is measured in kilometers per hour (km/h) or miles per hour (mph), based on the specified unit. Wind direction is measured in azimuth degrees, ranging from 0° (true North) to 359°, moving clockwise (east is 90°, south is 180°, west is 270°). |
|
| windGust |
Returns the expected maximum wind gust speed during each hour of the forecast period, measured in kilometers per hour (km/h) or miles per hour (mph), based on the specified unit. Wind direction is given in azimuth degrees, ranging from 0° (true North) to 359°, moving clockwise. Wind gusts are brief increases in wind speed, important for understanding short-term variations that can impact activities like aviation, sailing, and outdoor events. |
HourlyForecastResult
The response returned by the Get Hourly Forecast operation, containing
hour-by-hour weather forecasts for a specified location. The number of
HourlyForecast entries returned matches the requested forecast
duration - one of 1, 12, 24, 48, 72, or 96 hours (see the
HourlyDuration union).
| Name | Type | Description |
|---|---|---|
| forecasts |
The hour-by-hour forecast entries, one per hour in the requested window, in chronological order. Each entry carries the expected temperature, RealFeel, dew point, wind, precipitation outlook (probability and amounts for rain, snow, and ice), cloud cover, visibility, UV index, ceiling, and other observations for that hour. For example, a duration of 12 returns 12 entries beginning 2019-11-14T16:00:00-08:00 and stepping forward one hour at a time. |
IconCode
The numeric weather-condition code that identifies which icon to display.
Each value in this enumeration corresponds to an Azure Maps weather icon
(such as Sunny, Cloudy, or Thunderstorms) and pairs with a human-readable
iconPhrase returned alongside it. The same code can appear in current,
hourly, daily, quarter-day, and minute-by-minute responses, allowing
applications to render a consistent icon set across all weather services.
For the complete list of codes, the icons they map to, and example imagery, see Weather services in Azure Maps.
| Value | Description |
|---|---|
| 1 |
Sunny |
| 2 |
Mostly Sunny |
| 3 |
Partly Sunny |
| 4 |
Intermittent Clouds |
| 5 |
Hazy Sunshine |
| 6 |
Mostly Cloudy |
| 7 |
Cloudy |
| 8 |
Dreary (Overcast) |
| 11 |
Fog |
| 12 |
Showers |
| 13 |
Mostly Cloudy with Showers |
| 14 |
Partly Sunny with Showers |
| 15 |
Thunderstorms |
| 16 |
Mostly Cloudy with Thunderstorms |
| 17 |
Partly Sunny with Thunderstorms |
| 18 |
Rain |
| 19 |
Flurries |
| 20 |
Mostly Cloudy with Flurries |
| 21 |
Partly Sunny with Flurries |
| 22 |
Snow |
| 23 |
Mostly Cloudy with Snow |
| 24 |
Ice |
| 25 |
Sleet |
| 26 |
Freezing Rain |
| 29 |
Rain and Snow |
| 30 |
Hot |
| 31 |
Cold |
| 32 |
Windy |
| 33 |
Clear |
| 34 |
Mostly Clear |
| 35 |
Partly Cloudy |
| 36 |
Intermittent Clouds |
| 37 |
Hazy Moonlight |
| 38 |
Mostly Cloudy |
| 39 |
Partly Cloudy with Showers |
| 40 |
Mostly Cloudy with Showers |
| 41 |
Partly Cloudy with Thunderstorms |
| 42 |
Mostly Cloudy with Thunderstorms |
| 43 |
Mostly Cloudy with Flurries |
| 44 |
Mostly Cloudy with Snow |
JsonFormat
Desired format of the response. Only json format is supported.
| Value | Description |
|---|---|
| json |
UnitType
An integer value associated with the type of unit being displayed. For example, 17 for Celsius, 18 for Fahrenheit. Can be used for unit translation. For more information, see Weather services in Azure Maps.
| Value | Description |
|---|---|
| 0 |
feet |
| 1 |
inches |
| 2 |
miles |
| 3 |
millimeter |
| 4 |
centimeter |
| 5 |
meter |
| 6 |
kilometer |
| 7 |
kilometersPerHour |
| 8 |
knots |
| 9 |
milesPerHour |
| 10 |
metersPerSecond |
| 11 |
hectoPascals |
| 12 |
inchesOfMercury |
| 13 |
kiloPascals |
| 14 |
millibars |
| 15 |
millimetersOfMercury |
| 16 |
poundsPerSquareInch |
| 17 |
Celsius |
| 18 |
Fahrenheit |
| 19 |
kelvin |
| 20 |
percent |
| 21 |
float |
| 22 |
integer |
| 31 |
MicrogramsPerCubicMeterOfAir |
WeatherDataUnit
Specifies whether to return data in metric or imperial units, with metric as the default. For example:
- Metric: millimeter (mm), meter (m), kilometer (km), Celsius (C)
- Imperial: inch (in), foot (ft), mile (mi), Fahrenheit (F)
| Value | Description |
|---|---|
| imperial |
Return data using imperial units such as Fahrenheit (F) for temperature and miles (mi) for distance. |
| metric |
Return data using metric units such as Celsius (C) for temperature and kilometer (km) for distance. |
WeatherValue
Values for weather-related metrics such as temperature, dew point, and wind speed, presented in either metric or imperial units, as specified in the unit URI parameter. For more information, see Unit types in the article Weather services in Azure Maps.
| Name | Type | Description |
|---|---|---|
| unit |
string |
The unit of measurement used in the return value, such as "C" for Celsius, "F" for Fahrenheit. |
| unitType |
An integer representing the type of unit. For example, 0 for feet, 1 for inches, 2 for miles. For a complete list, see Unit types in the article Weather services in Azure Maps. |
|
| value |
number (float) |
The measured value expressed in the specified unit. |
WindDetails
Provides the forecasted wind speed, measured in units such as kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. Also indicates the wind direction measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0°, east to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°.
| Name | Type | Description |
|---|---|---|
| direction |
Wind direction is measured in azimuth degrees, starting at true North (0°) and moving clockwise. East corresponds to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°. This property returns an integer representing the wind direction. |
|
| speed |
The expected wind speed, measured in kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. |
WindDirection
Provides details about wind direction, including the direction in azimuth degrees and a localized abbreviation of the wind direction.
| Name | Type | Description |
|---|---|---|
| degrees |
integer (int32) |
Wind direction is measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0 degrees, east to 90 degrees, south to 180 degrees, and west to 270 degrees. Possible values range from 0 to 359 degrees. |
| localizedDescription |
string |
A localized abbreviation of the wind direction, returned in the language
specified in the request. For example, |